@import "@/styles/variables";

.search-wrapper {
    position: relative;
}

.icon-frame {
    position: absolute;
    left: 1rem;
    top: 50%;
    transform: translateY(-100%);
    width: 1rem;
    height: 1rem;

    @include notebook {
        transform: translateY(-65%);
        width: 1.5rem;
        height: 1.5rem;
    }

    &-right {
        right: 1rem;
        left: unset;
        font-family: $primary-font-bold;
        font-size: calc($fs-p-lg + 0.4rem);
        cursor: pointer;

        &:hover {
            filter: opacity(70%);
            color: $secondary-color;
        }
    }
}

.search-input-field {
    padding: 0 0.5rem 0 2.5rem;
    width: 100%;
    border: 1px solid $primary-color-light;
    background-color: $gray-lighter;
    height: 2.5rem;

    @include paragraph-sm;

    @include tablet {
        font-size: $fs-p-lg;
        line-height: 100%;
    }

    @include notebook {
        height: 3.5rem;
        padding-left: 3.5rem;
        font-size: $fs-h5-mobile;
    }
}
